Bug 866503 - system-config-users killed by abort signal with error: 'BadAlloc (insufficient resources for operation)'
system-config-users killed by abort signal with error: 'BadAlloc (insufficien...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: system-config-users (Show other bugs)
6.3
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Nils Philippsen
BaseOS QE Security Team
:
Depends On:
Blocks: 1002711
  Show dependency treegraph
 
Reported: 2012-10-15 10:05 EDT by Siddharth
Modified: 2015-09-18 09:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 09:54:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Siddharth 2012-10-15 10:05:59 EDT
Description of problem:
Running system-config-users from command line throws BadAlloc error 
and killed with signal 6

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux 6
system-config-users-1.2.106-5.el6.noarch
metacity-2.28.0-23.el6.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. Create 2000+ users
2. Remove users entries from /etc/group and /etc/passwd
3. Run system-config-users
4. You get the crash error
 
Actual results:
The metacity should not crashed 

Expected results:
The metacity get crashed

Additional info:
Comment 3 RHEL Product and Program Management 2012-10-15 10:30:16 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 5 RHEL Product and Program Management 2013-10-13 20:22:38 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 10 Chris Williams 2015-09-18 09:54:54 EDT
This Bugzilla has been reviewed by Red Hat and is not planned on being addressed in Red Hat Enterprise Linux 6 and therefore will be closed. If this bug is critical to production systems, please contact your Red Hat support representative and provide sufficient business justification.

Note You need to log in before you can comment on or make changes to this bug.